ComSquare::InvalidAction Class Reference

Exception thrown when someone tries to load an invalid rom. More...

`#include <InvalidAction.hpp>`

Inheritance diagram for ComSquare::InvalidAction:
Collaboration diagram for ComSquare::InvalidAction:

## Public Member Functions

| InvalidAction (const std::string &msg)
const char * | what () const noexcept override

## Private Attributes

std::string | _msg

## Detailed Description

Exception thrown when someone tries to load an invalid rom.

## Constructor & Destructor Documentation

## InvalidAction()

ComSquare::InvalidAction::InvalidAction | ( | const std::string & | msg | ) |

inlineexplicit

## Member Function Documentation

## what()

const char* ComSquare::InvalidAction::what | ( |  | ) | const

inlineoverridenoexcept

## Member Data Documentation

## _msg

std::string ComSquare::InvalidAction::_msg

private

The documentation for this class was generated from the following file:

- sources/Exceptions/InvalidAction.hpp